Project

General

Profile

Actions

Bug #6010

closed

Update build pluing to support Java 7

Added by François ARMAND over 6 years ago. Updated over 6 years ago.

Status:
Released
Priority:
1
Category:
Architecture - Dependencies
Target version:
Severity:
User visibility:
Effort required:
Priority:

Description

In Rudder 3.0, we only support Java 7 and up.

But our build plugins (corbertura one) is not compatible in the use version, causing strange "stackmap frame at branch target xxx" errors.

Actions #2

Updated by François ARMAND over 6 years ago

  • Status changed from In progress to Pending technical review
  • Assignee changed from François ARMAND to Nicolas CHARLES
  • Pull Request set to https://github.com/Normation/rudder-parent-pom/pull/15
Actions #3

Updated by François ARMAND over 6 years ago

  • Status changed from Pending technical review to Pending release
  • % Done changed from 0 to 100

Applied in changeset parent-pom:commit:1f7f04a3463ae2293d3da0756fd5b3048e8aecd4.

Actions #4

Updated by Nicolas CHARLES over 6 years ago

Applied in changeset parent-pom:commit:b560a4fbb0f82fbc6ff120a7477db53d8cd9d3b7.

Actions #5

Updated by Vincent MEMBRÉ over 6 years ago

  • Status changed from Pending release to Released

This bug has been fixed in Rudder 3.0.0~beta2, which were these days.

Actions

Also available in: Atom PDF